Package org.apache.sysds.hops

# Enum Class AggBinaryOp.SparkAggType

java.lang.Object
java.lang.Enum<AggBinaryOp.SparkAggType>
org.apache.sysds.hops.AggBinaryOp.SparkAggType

All Implemented Interfaces:
  `Serializable`, `Comparable<AggBinaryOp.SparkAggType>`, `Constable`

Enclosing class:
  AggBinaryOp

public static enum AggBinaryOp.SparkAggType extends Enum<AggBinaryOp.SparkAggType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`MULTI_BLOCK`
`NONE`
`SINGLE_BLOCK`

## Method Summary

Modifier and Type
Method
Description
`static AggBinaryOp.SparkAggType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AggBinaryOp.SparkAggType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NONE

public static final AggBinaryOp.SparkAggType NONE

### SINGLE_BLOCK

public static final AggBinaryOp.SparkAggType SINGLE_BLOCK

### MULTI_BLOCK

public static final AggBinaryOp.SparkAggType MULTI_BLOCK

## Method Details

### values

public static AggBinaryOp.SparkAggType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static AggBinaryOp.SparkAggType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null